# $Revision: 1.127 $, $Date: 2011/09/13 06:05:02 $
# TODO
# - %{_libdir}/graphviz/config is not FHS friendly path as config
# - io language bindings: io-graphviz
# - ghostscript subpackage?
#   /usr/lib64/graphviz/libgvplugin_gs.so
#   /usr/lib64/graphviz/libgvplugin_gs.so.6
#   /usr/lib64/graphviz/libgvplugin_gs.so.6.0.0
#
# Conditional build:
%bcond_without	dotnet	# don't build C# bindings
%bcond_without	java	# don't build Java bindings
%bcond_without	ocaml	# don't build ocaml bindings
%bcond_without	php	# don't build php bindings
%bcond_without	perl	# don't build perl bindings
%bcond_without	ruby	# don't build ruby bindings
%bcond_without	tcl	# don't build tcl bindings
%bcond_without	lua	# don't build lua bindings
%bcond_without	r	# don't build R bindings
%bcond_without	python 	# don't build python bindings
%bcond_with	io	# don't build io language bindings
%bcond_without	guile	# don't build guile bindings
%bcond_without	ming	# don't build ming support
%bcond_without	devil	# don't build devil plugin

%define		tclver	8.5
%ifarch i386
%undefine with_dotnet
%endif
%ifnarch %{ix86} %{x8664}
%undefine with_java
%endif
%ifarch i386 i486
%undefine with_java
%endif
%{?with_perl:%include	/usr/lib/rpm/macros.perl}
Summary:	Graph Visualization Tools
Summary(pl.UTF-8):	Narzędzie do wizualizacji w postaci grafów
Name:		graphviz
Version:	2.28.0
Release:	3
License:	CPL v1.0
Group:		X11/Applications/Graphics
Source0:	http://www.graphviz.org/pub/graphviz/ARCHIVE/%{name}-%{version}.tar.gz
# Source0-md5:	8d26c1171f30ca3b1dc1b429f7937e58
Patch0:		%{name}-fontpath.patch
Patch1:		%{name}-tk.patch
Patch2:		%{name}-bad-header.patch
Patch3:		%{name}-php.patch
Patch4:		%{name}-ltdl.patch
Patch5:		%{name}-lua51.patch
Patch6:		%{name}-php_modules_dir.patch
Patch7:		%{name}-ruby.patch
Patch8:		%{name}-guile.patch
URL:		http://www.graphviz.org/
%{?with_devil:BuildRequires:	DevIL-devel}
%{?with_r:BuildRequires:	R}
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	expat-devel >= 1.95
BuildRequires:	flex
BuildRequires:	freetype-devel >= 2.0.0
BuildRequires:	gawk
BuildRequires:	gd-devel >= 2.0.34
BuildRequires:	gettext-devel
BuildRequires:	ghostscript-devel
BuildRequires:	gtk+2-devel >= 2:2.8.0
%{?with_guile:BuildRequires:	guile-devel >= 1.4}
#BuildRequires:	io
%if %{with java}
BuildRequires:	jdk
BuildRequires:	jpackage-utils
%endif
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	librsvg-devel >= 2.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
# for lua51 binary
%if %{with lua}
BuildRequires:	lua51
BuildRequires:	lua51-devel >= 5.1
%endif
%{?with_ming:BuildRequires:	ming-devel}
%{?with_dotnet:BuildRequires:	mono-csharp}
%{?with_ocaml:BuildRequires:	ocaml}
BuildRequires:	pango-devel >= 1.10
BuildRequires:	perl-devel
%if %{with php}
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	php-program >= 4:5.0
%endif
BuildRequires:	pkgconfig
%{?with_python:BuildRequires:	python-devel}
%{?with_perl:BuildRequires:	rpm-perlprov}
%{?with_python:BuildRequires:	rpm-pythonprov}
BuildRequires:	rpmbuild(macros) >= 1.519
%{?with_ruby:BuildRequires:	ruby-devel}
BuildRequires:	sed >= 4.0
# swig-csharp,swig-java,swig-lua,swig-ocaml in main swig
# swig-io ???
BuildRequires:	swig
%{?with_guile:BuildRequires:	swig-guile}
%{?with_perl:BuildRequires:	swig-perl}
%{?with_php:BuildRequires:	swig-php >= 1.3.40}
BuildRequires:	swig-python
%{?with_ruby:BuildRequires:	swig-ruby}
%if %{with tcl}
BuildRequires:	swig-tcl
BuildRequires:	tcl-devel >= 8.3.0
BuildRequires:	tk-devel >= 8.3.0
%endif
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	zlib-devel
Requires(post,postun):	/sbin/ldconfig
Requires:	fonts-Type1-urw
Requires:	gd >= 2.0.33-5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A collection of tools and tcl packages for the manipulation and layout
of graphs (as in nodes and edges, not as in barcharts).

%description -l pl.UTF-8
Kolekcja narzędzi oraz pakietów tcl służących do manipulacji i
rozmieszczania grafów.

%package devel
Summary:	Header files for graphviz libraries
Summary(pl.UTF-8):	Pliki nagłówkowe do bibliotek graphviz
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gd-devel >= 2.0.34
Requires:	libltdl-devel

%description devel
This package contains the header files for graphviz libraries.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do bibliotek graphviz.

%package doc-html
Summary:	HTML documentation for graphviz
Summary(pl.UTF-8):	Dokumentacja do graphviza w formacie HTML
Group:		Documentation

%description doc-html
HTML documentation for graphviz.

%description doc-html -l pl.UTF-8
Dokumentacja do graphviza w formacie HTML.

%package doc-pdf
Summary:	PDF documentation for graphviz
Summary(pl.UTF-8):	Dokumentacja do graphviza w formacie PDF
Group:		Documentation

%description doc-pdf
PDF documentation for graphviz.

%description doc-pdf -l pl.UTF-8
Dokumentacja do graphviza w formacie PDF.

%package graphs
Summary:	Demo graphs for graphviz
Summary(pl.UTF-8):	Przykładowe grafy dla graphviza
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description graphs
This package provides some example graphs.

%description graphs -l pl.UTF-8
Ten pakiet zawiera trochę przykładowych grafów.

%package -n guile-%{name}
Summary:	Guile binding for graphviz
Summary(pl.UTF-8):	Wiązania Guile dla graphviza
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	graphviz-guile

%description -n guile-%{name}
Guile binding for graphviz.

%description -n guile-%{name} -l pl.UTF-8
Wiązania Guile dla graphviza.

%package -n java-%{name}
Summary:	Java binding for graphviz
Summary(pl.UTF-8):	Wiązania Javy dla graphviza
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	graphviz-java

%description -n java-%{name}
Java binding for graphviz.

%description -n java-%{name} -l pl.UTF-8
Wiązania Javy dla graphviza.

%package -n lua-%{name}
Summary:	LUA binding for graphviz
Summary(pl.UTF-8):	Wiązania LUA dla graphviza
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	graphviz-lua

%description -n lua-%{name}
LUA binding for graphviz.

%description -n lua-%{name} -l pl.UTF-8
Wiązania LUA dla graphviza.

%package -n ocaml-%{name}
Summary:	OCaml binding for graphviz
Summary(pl.UTF-8):	Wiązania OCamla dla graphviza
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	graphviz-ocaml

%description -n ocaml-%{name}
OCaml binding for graphviz.

%description -n ocaml-%{name} -l pl.UTF-8
Wiązania OCamla dla graphviza.

%package -n perl-%{name}
Summary:	Perl binding for graphviz
Summary(pl.UTF-8):	Wiązania Perla dla graphviza
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description -n perl-%{name}
Perl binding for graphviz.

%description -n perl-%{name} -l pl.UTF-8
Wiązania Perla dla graphviza.

%package -n php-%{name}
Summary:	PHP binding for graphviz
Summary(pl.UTF-8):	Wiązania PHP dla graphviza
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	graphviz-php
%{?requires_php_extension}

%description -n php-%{name}
PHP binding for graphviz.

%description -n php-%{name} -l pl.UTF-8
Wiązania PHP dla graphviza.

%package -n python-%{name}
Summary:	Python binding for graphviz
Summary(pl.UTF-8):	Wiązania Pythona dla graphviza
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	graphviz-python

%description -n python-%{name}
Python binding for graphviz.

%description -n python-%{name} -l pl.UTF-8
Wiązania Pythona dla graphviza.

%package -n ruby-%{name}
Summary:	Ruby binding for graphviz
Summary(pl.UTF-8):	Wiązania Ruby'ego dla graphviza
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	graphviz-ruby

%description -n ruby-%{name}
Ruby binding for graphviz.

%description -n ruby-%{name} -l pl.UTF-8
Wiązania Ruby'ego dla graphviza.

%package -n dotnet-%{name}-sharp
Summary:	C# binding for graphviz
Summary(pl.UTF-8):	Wiązania C# dla graphviza
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	graphviz-sharp
Obsoletes:	sharp-graphviz

%description -n dotnet-%{name}-sharp
C# binding for graphviz.

%description -n dotnet-%{name}-sharp -l pl.UTF-8
Wiązania C# dla graphviza.

%package -n tcl-%{name}
Summary:	Tcl extension tools for graphviz
Summary(pl.UTF-8):	Rozszerzenia Tcl dla graphviza
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}-%{release}
Obsoletes:	graphviz-tcl

%description -n tcl-%{name}
This package contains the various Tcl packages (extensions) using
graphviz.

%description -n tcl-%{name} -l pl.UTF-8
Ten pakiet zawiera różne pakiety (rozszerzenia) Tcl używające
graphviza.

%package -n R-%{name}
Summary:	graphviz bindings for R language
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description -n R-%{name}
graphviz bindings for R language.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%{__sed} '1s@/usr/bin/lua$@/usr/bin/lua51@' -i tclpkg/gv/demo/modgraph.lua

%{__rm} m4/*.m4

%build
touch config/config.rpath
%{__libtoolize} --ltdl
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}

CPPFLAGS="%{rpmcppflags}"
%if %{with java}
JAVA_HOME=%{java_home}
export JAVA_HOME
CPPFLAGS="$CPPFLAGS -I$JAVA_HOME/include -I$JAVA_HOME/include/linux"
%endif

export CPPFLAGS

%configure \
	lua_suffix=51 \
	--disable-ltdl-install \
	--disable-silent-rules \
	%{!?with_java:--disable-java} \
	%{!?with_ocaml:--disable-ocaml} \
	%{!?with_dotnet:--disable-sharp} \
	%{!?with_perl:--disable-perl} \
	%{!?with_php:--disable-php} \
	%{!?with_ruby:--disable-ruby} \
	%{!?with_tcl:--disable-tcl} \
	%{!?with_ming:--disable-ming} \
	%{!?with_devil:--disable-devil} \
	%{!?with_lua:--disable-lua} \
	%{!?with_r:--disable-r} \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PHP_INSTALL_DIR=%{php_extensiondir} \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with php}
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{name}.ini
; Enable gv.so extension module
extension=gv.so
EOF

# drop the symlinks and install to php dirs directly
install -d $RPM_BUILD_ROOT%{_examplesdir}/php-%{name}-%{version}
mv -f $RPM_BUILD_ROOT{%{_libdir}/%{name}/php,%{php_data_dir}}/gv.php
mv -f $RPM_BUILD_ROOT{%{_libdir}/%{name}/php/libgv_php.so,%{php_extensiondir}/gv.so}
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/php/gv.so
mv -f $RPM_BUILD_ROOT{%{_datadir}/%{name}/demo,%{_examplesdir}/php-%{name}-%{version}}/modgraph.php
%endif

# "man3/gv.3r.gz" and "man3/gv.3ruby.gz" are both manual for "gv" in "section 3" of man pages
# make manual pages unique.
for a in $RPM_BUILD_ROOT%{_mandir}/man3/gv.*; do
	m=${a##*/}
	l=${m#gv.3}
	mv $a ${a%/*}/gv_$l.3
done

# created by %{_bindir}/dot -c
touch $RPM_BUILD_ROOT%{_libdir}/graphviz/config

%{__rm} $RPM_BUILD_ROOT%{_libdir}/graphviz/*/lib*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/graphviz/libgvplugin_*.la

rm -rf doc-html doc-pdf
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/html doc-html
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/pdf doc-pdf

cd $RPM_BUILD_ROOT
patch -p1 --no-backup-if-mismatch < %{PATCH2} || exit 1

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
umask 022
[ ! -x %{_bindir}/dot ] || %{_bindir}/dot -c > /dev/null 2>&1

%postun	-p /sbin/ldconfig

%post -n php-%{name}
%php_webserver_restart

%postun -n php-%{name}
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/acyclic
%attr(755,root,root) %{_bindir}/bcomps
%attr(755,root,root) %{_bindir}/ccomps
%attr(755,root,root) %{_bindir}/circo
%attr(755,root,root) %{_bindir}/cluster
%attr(755,root,root) %{_bindir}/diffimg
%attr(755,root,root) %{_bindir}/dijkstra
%attr(755,root,root) %{_bindir}/dot
%attr(755,root,root) %{_bindir}/dot2gxl
%attr(755,root,root) %{_bindir}/dot_builtins
%attr(755,root,root) %{_bindir}/dotty
%attr(755,root,root) %{_bindir}/fdp
%attr(755,root,root) %{_bindir}/gc
%attr(755,root,root) %{_bindir}/gml2gv
%attr(755,root,root) %{_bindir}/gv2gxl
%attr(755,root,root) %{_bindir}/gvcolor
%attr(755,root,root) %{_bindir}/gvgen
%attr(755,root,root) %{_bindir}/gvmap
%attr(755,root,root) %{_bindir}/gvmap.sh
%attr(755,root,root) %{_bindir}/gvpack
%attr(755,root,root) %{_bindir}/gvpr
%attr(755,root,root) %{_bindir}/gxl2dot
%attr(755,root,root) %{_bindir}/gxl2gv
%attr(755,root,root) %{_bindir}/lefty
%attr(755,root,root) %{_bindir}/lneato
%attr(755,root,root) %{_bindir}/mm2gv
%attr(755,root,root) %{_bindir}/neato
%attr(755,root,root) %{_bindir}/nop
%attr(755,root,root) %{_bindir}/osage
%attr(755,root,root) %{_bindir}/patchwork
%attr(755,root,root) %{_bindir}/prune
%attr(755,root,root) %{_bindir}/sccmap
%attr(755,root,root) %{_bindir}/sfdp
%attr(755,root,root) %{_bindir}/tred
%attr(755,root,root) %{_bindir}/twopi
%attr(755,root,root) %{_bindir}/unflatten
%attr(755,root,root) %{_bindir}/vimdot
%attr(755,root,root) %{_libdir}/libcdt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcdt.so.5
%attr(755,root,root) %{_libdir}/libcgraph.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcgraph.so.6
%attr(755,root,root) %{_libdir}/libgraph.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgraph.so.5
%attr(755,root,root) %{_libdir}/libgvc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgvc.so.6
%attr(755,root,root) %{_libdir}/libgvpr.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgvpr.so.2
%attr(755,root,root) %{_libdir}/libpathplan.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpathplan.so.4
%attr(755,root,root) %{_libdir}/libxdot.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxdot.so.4
%dir %{_libdir}/graphviz
%ghost %{_libdir}/graphviz/config
%attr(755,root,root) %{_libdir}/graphviz/libgvplugin_core.so*
%if %{with devil}
%attr(755,root,root) %{_libdir}/graphviz/libgvplugin_devil.so*
%endif
%attr(755,root,root) %{_libdir}/graphviz/libgvplugin_dot_layout.so*
%attr(755,root,root) %{_libdir}/graphviz/libgvplugin_gd.so*
%attr(755,root,root) %{_libdir}/graphviz/libgvplugin_gdk_pixbuf.so*
%attr(755,root,root) %{_libdir}/graphviz/libgvplugin_gs.so*
%attr(755,root,root) %{_libdir}/graphviz/libgvplugin_gtk.so*
%attr(755,root,root) %{_libdir}/graphviz/libgvplugin_neato_layout.so*
%attr(755,root,root) %{_libdir}/graphviz/libgvplugin_pango.so*
%attr(755,root,root) %{_libdir}/graphviz/libgvplugin_rsvg.so*
%attr(755,root,root) %{_libdir}/graphviz/libgvplugin_xlib.so*
%dir %{_datadir}/graphviz
%dir %{_datadir}/graphviz/demo
%{_datadir}/graphviz/lefty
%{_mandir}/man1/acyclic.1*
%{_mandir}/man1/bcomps.1*
%{_mandir}/man1/ccomps.1*
%{_mandir}/man1/circo.1*
%{_mandir}/man1/cluster.1*
%{_mandir}/man1/diffimg.1*
%{_mandir}/man1/dijkstra.1*
%{_mandir}/man1/dot.1*
%{_mandir}/man1/dotty.1*
%{_mandir}/man1/fdp.1*
%{_mandir}/man1/gc.1*
%{_mandir}/man1/gml2gv.1*
%{_mandir}/man1/gv2gxl.1*
%{_mandir}/man1/gvcolor.1*
%{_mandir}/man1/gvedit.1*
%{_mandir}/man1/gvgen.1*
%{_mandir}/man1/gvmap.1*
%{_mandir}/man1/gvmap.sh.1*
%{_mandir}/man1/gvpack.1*
%{_mandir}/man1/gvpr.1*
%{_mandir}/man1/gxl2gv.1*
%{_mandir}/man1/lefty.1*
%{_mandir}/man1/lneato.1*
%{_mandir}/man1/mm2gv.1*
%{_mandir}/man1/neato.1*
%{_mandir}/man1/nop.1*
%{_mandir}/man1/osage.1*
%{_mandir}/man1/patchwork.1*
%{_mandir}/man1/prune.1*
%{_mandir}/man1/sccmap.1*
%{_mandir}/man1/sfdp.1*
%{_mandir}/man1/smyrna.1*
%{_mandir}/man1/tred.1*
%{_mandir}/man1/twopi.1*
%{_mandir}/man1/unflatten.1*
%{_mandir}/man1/vimdot.1*
%{_mandir}/man7/graphviz.7*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcdt.so
%attr(755,root,root) %{_libdir}/libcgraph.so
%attr(755,root,root) %{_libdir}/libgraph.so
%attr(755,root,root) %{_libdir}/libgvc.so
%attr(755,root,root) %{_libdir}/libgvpr.so
%attr(755,root,root) %{_libdir}/libpathplan.so
%attr(755,root,root) %{_libdir}/libxdot.so
%{_libdir}/libcdt.la
%{_libdir}/libcgraph.la
%{_libdir}/libgraph.la
%{_libdir}/libgvc.la
%{_libdir}/libgvpr.la
%{_libdir}/libpathplan.la
%{_libdir}/libxdot.la
%{_pkgconfigdir}/libcdt.pc
%{_pkgconfigdir}/libcgraph.pc
%{_pkgconfigdir}/libgraph.pc
%{_pkgconfigdir}/libgvc.pc
%{_pkgconfigdir}/libgvpr.pc
%{_pkgconfigdir}/libpathplan.pc
%{_pkgconfigdir}/libxdot.pc
%{_includedir}/graphviz
%{_mandir}/man3/cdt.3*
%{_mandir}/man3/cgraph.3*
%{_mandir}/man3/expr.3*
%{_mandir}/man3/graph.3*
%{_mandir}/man3/gvc.3*
%{_mandir}/man3/pack.3*
%{_mandir}/man3/xdot.3*

%files doc-html
%defattr(644,root,root,755)
%doc doc-html/*

%files doc-pdf
%defattr(644,root,root,755)
%doc doc-pdf/*

%files graphs
%defattr(644,root,root,755)
%{_datadir}/graphviz/graphs

%if 0
%files io-%{name}
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/io
%attr(755,root,root) %{_libdir}/graphviz/io/libgv_io.so*
%{_mandir}/mann/gv_io.n*
%endif

%if %{with guile}
%files -n guile-%{name}
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/guile
%attr(755,root,root) %{_libdir}/graphviz/guile/libgv_guile.so
%{_mandir}/man3/gv_guile.3*
%endif

%if %{with java}
%files -n java-%{name}
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/java
%attr(755,root,root) %{_libdir}/graphviz/java/libgv_java.so
%{_libdir}/graphviz/java/*.java
%{_mandir}/man3/gv_java.3*
%endif

%if %{with lua}
%files -n lua-%{name}
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/lua
%attr(755,root,root) %{_libdir}/graphviz/lua/libgv_lua.so
%attr(755,root,root) %{_libdir}/graphviz/lua/gv.so
%attr(755,root,root) %{_datadir}/graphviz/demo/modgraph.lua
%attr(755,root,root) %{_libdir}/lua/gv.so
%{_mandir}/man3/gv_lua.3*
%endif

%if %{with ocaml}
%files -n ocaml-%{name}
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/ocaml
%attr(755,root,root) %{_libdir}/graphviz/ocaml/libgv_ocaml.so
%{_libdir}/graphviz/ocaml/META.gv
%{_libdir}/graphviz/ocaml/gv.a
%{_libdir}/graphviz/ocaml/gv.cm*
%{_libdir}/graphviz/ocaml/gv.ml*
%{_mandir}/man3/gv_ocaml.3*
%endif

%if %{with perl}
%files -n perl-%{name}
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/perl
%attr(755,root,root) %{_libdir}/graphviz/perl/libgv_perl.so
%attr(755,root,root) %{_libdir}/graphviz/perl/gv.so
%{_libdir}/graphviz/perl/gv.pm
%attr(755,root,root) %{_datadir}/graphviz/demo/modgraph.pl
%attr(755,root,root) %{perl_vendorarch}/gv.so
%{perl_vendorarch}/gv.pm
%{_mandir}/man3/gv_perl.3*
%endif

%if %{with php}
%files -n php-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{php_extensiondir}/gv.so
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{name}.ini
%{php_data_dir}/gv.php
%{_mandir}/man3/gv_php.3*
%{_examplesdir}/php-%{name}-%{version}
%endif

%if %{with python}
%files -n python-%{name}
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/python
%attr(755,root,root) %{_libdir}/graphviz/python/libgv_python.so
%attr(755,root,root) %{_libdir}/graphviz/python/_gv.so
%{_libdir}/graphviz/python/gv.py
%attr(755,root,root) %{_datadir}/graphviz/demo/modgraph.py
%attr(755,root,root) %{py_sitedir}/_gv.so
%{py_sitedir}/gv.py
%{_mandir}/man3/gv_python.3*
%endif

%if %{with ruby}
%files -n ruby-%{name}
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/ruby
%attr(755,root,root) %{_libdir}/graphviz/ruby/libgv_ruby.so
%attr(755,root,root) %{_libdir}/graphviz/ruby/gv.so
%attr(755,root,root) %{_datadir}/graphviz/demo/modgraph.rb
%{ruby_sitearchdir}/gv.so
%{_mandir}/man3/gv_ruby.3*
%endif

%if %{with dotnet}
%files -n dotnet-%{name}-sharp
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/sharp
%attr(755,root,root) %{_libdir}/graphviz/sharp/libgv_sharp.so
%{_libdir}/graphviz/sharp/*.cs
%{_mandir}/man3/gv_sharp.3*
%endif

%if %{with tcl}
%files -n tcl-%{name}
%defattr(644,root,root,755)
%dir %{_libdir}/graphviz/tcl
%attr(755,root,root) %{_libdir}/graphviz/tcl/libgdtclft.so*
%attr(755,root,root) %{_libdir}/graphviz/tcl/libgv_tcl.so
%attr(755,root,root) %{_libdir}/graphviz/tcl/libtcldot.so*
%attr(755,root,root) %{_libdir}/graphviz/tcl/libtcldot_builtin.so*
%attr(755,root,root) %{_libdir}/graphviz/tcl/libtclplan.so*
%attr(755,root,root) %{_libdir}/graphviz/tcl/libtkspline.so*
%{_libdir}/graphviz/tcl/pkgIndex.tcl
%{_libdir}/tcl%{tclver}/graphviz
%{_mandir}/man3/gv_tcl.3*
%{_mandir}/man3/gdtclft.3tcl*
%{_mandir}/man3/pathplan.3*
%{_mandir}/man3/tcldot.3tcl*
%{_mandir}/man3/tkspline.3tk*
%{_datadir}/graphviz/demo/pathplan_data
%{_datadir}/graphviz/demo/*.README
%{_datadir}/graphviz/demo/*.html
%attr(755,root,root) %{_datadir}/graphviz/demo/doted.tcl
%attr(755,root,root) %{_datadir}/graphviz/demo/entities.tcl
%attr(755,root,root) %{_datadir}/graphviz/demo/gcat.tcl
%attr(755,root,root) %{_datadir}/graphviz/demo/modgraph.tcl
%attr(755,root,root) %{_datadir}/graphviz/demo/pathplan.tcl
%attr(755,root,root) %{_datadir}/graphviz/demo/spline.tcl
%endif

%if %{with r}
%files -n R-%{name}
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/R
%attr(755,root,root) %{_libdir}/%{name}/R/gv.so
%attr(755,root,root) %{_libdir}/%{name}/R/libgv_R.so
%{_mandir}/man3/gv_r.3*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: graphviz.spec,v $
Revision 1.127  2011/09/13 06:05:02  draenog
- don't create .orig file if patch2 is mismatched

Revision 1.126  2011/09/11 14:05:27  arekm
- release 3

Revision 1.125  2011/06/11 20:09:38  arekm
- release 2

Revision 1.124  2011/06/01 10:42:25  lisu
- added tclver macro
- BR: sed >= 4.0

Revision 1.123  2011/05/19 14:08:38  qboosh
- updated to 2.28.0 (some new sonames)
- updated fontpath,ruby patches
- added guile patch (needed for guile 2 compliancy)

Revision 1.122  2010/12/11 21:35:09  arekm
- release 7

Revision 1.121  2010/11/15 10:17:23  pawelz
- release 6

Revision 1.120  2010/10/23 06:40:13  qboosh
- added ruby patch (fixes ruby.h detection)
- updated bad-header patch, actually apply it
- restored docs (argh, who "updated" this spec???)

Revision 1.119  2010/10/22 20:51:35  qboosh
- added ltdl patch (resolved conflict with lt_preloaded_symbols mangling in <ltdl.h>)

Revision 1.118  2010/10/21 05:53:01  qboosh
- removed obsolete gv.i and swig_php5 patches

Revision 1.117  2010/10/21 05:47:49  qboosh
- pl for doc-*
- .NET/C# packages use dotnet-, not sharp- prefix

Revision 1.116  2010/07/09 11:17:01  arekm
- release 5

Revision 1.115  2010/06/15 09:00:24  hawk
- release 4

Revision 1.114  2010/06/06 08:52:56  arekm
- release 3

Revision 1.113  2010/06/03 18:08:47  glen
- fix dir ownership problem in doc packages; rel 2

Revision 1.112  2010/06/03 13:38:32  glen
- rel 1 (rest can wait i suppose according to package interest)

Revision 1.111  2010/06/02 16:30:18  glen
- fix manpage conflicts

Revision 1.110  2010/06/02 16:21:18  glen
- rpm build macros >= 1.402 convert man symlinks automatically

Revision 1.109  2010/06/02 09:11:38  glen
- rename language bindings to LANG-graphviz
- python and io bconds

Revision 1.108  2010/06/02 08:57:57  glen
- R language binding

Revision 1.107  2010/06/02 08:43:34  glen
- html and pdf doc subpackages

Revision 1.106  2010/06/02 07:11:54  glen
- rename and repackage php binding properly
- update manuals in files

Revision 1.105  2010/04/18 18:30:12  sls
- fix lua exec name (used in some demo) in prep section

Revision 1.104  2010/04/17 20:29:09  sls
- re-enabled php.patch

Revision 1.103  2010/03/05 00:35:08  wrobell
- added devil bcond
- fixed file list

Revision 1.102  2010/03/02 19:52:43  wrobell
- ver. 2.26.3, nfy

Revision 1.101  2010/03/02 15:41:28  baggins
- rel 9

Revision 1.100  2010/03/01 18:28:09  sparky
- added ruby 1.9 include dirs, builds now
- BR: R (but left unpackaged)

Revision 1.99  2010/02/26 22:49:38  hawk
- release 8

Revision 1.98  2009/10/26 05:53:09  sls
- new (1.3.36 < new <= 1.3.40) swig renamed php switch, so:
- added swig_php5.patch
- BR: swig-php >= 1.3.40

Revision 1.97  2009/10/26 03:52:24  sls
- added gv.i.patch (fix for compilation tcl bindings from Fedora)

Revision 1.96  2009/03/14 12:46:34  hawk
- release 7

Revision 1.95  2008/11/09 09:59:30  arekm
- release 6

Revision 1.94  2008/11/07 20:50:15  arekm
- release 5

Revision 1.93  2008/11/07 11:37:50  pluto
- release 4, yet another rebuild lib fixed/hacked libXaw.

Revision 1.92  2008/11/07 02:03:37  pluto
- release 3 for rebuild.

Revision 1.91  2008/11/03 00:08:54  arekm
- rel 2; sed is back

Revision 1.90  2008/11/02 20:42:40  arekm
BR: lua51; don't delete too much

Revision 1.89  2008/11/02 20:32:24  arekm
- rel 1

Revision 1.88  2008/10/23 18:56:41  qboosh
- added lua/gv.so symlink

Revision 1.87  2008/10/15 15:33:30  sls
- added php_modules_dir.patch
- no more libgvc_builtins library

Revision 1.86  2008/10/15 15:24:59  sls
- added lua51.patch

Revision 1.85  2008/10/15 15:16:22  sls
- added no_version_magick.patch

Revision 1.84  2008/10/15 15:07:09  sls
- ver. 2.20.3

Revision 1.83  2008/08/03 13:52:42  arekm
- up to 2.20.2; nfy

Revision 1.82  2008/07/02 21:34:32  sls
- exec /usr/bin/lua51 in demo script
- rel. 4

Revision 1.81  2008/06/22 18:17:01  blekot
- BR: DevIL-devel
- rel 3

Revision 1.80  2008/06/22 17:55:13  blekot
- %files fix (ugly, but works)
- rel 2 (for rebuild)

Revision 1.79  2008-05-31 22:32:23  qboosh
- updated to 2.18
- removed obsolete lt patch, added php patch

Revision 1.78  2008-05-26 09:21:56  pluto
- don't use internal libltdl.so.3, use system wide, release 6.

Revision 1.77  2008-05-25 15:57:10  megabajt
- added -lt.patch
- release 5

Revision 1.76  2008-05-21 16:36:58  wrobell
- rel. 4 to build with new libtool

Revision 1.75  2008-02-23 21:54:12  glen
- release 3

Revision 1.74  2007-12-26 01:07:43  qboosh
- updated R sorting

Revision 1.73  2007-11-14 09:43:14  arekm
- s/ghostscript-fonts-std/fonts-Type1-urw/

Revision 1.72  2007-11-07 04:52:12  tommat
- --without ocaml bcond

Revision 1.71  2007/09/17 16:30:39  baggins
- rel 2
- fixed stupid ifdefs in installed headers

Revision 1.70  2007/09/08 00:37:48  qboosh
- updated to 2.14.1
- removed obsolete php,gd,lua patches

Revision 1.69  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.68  2007/02/12 00:48:54  baggins
- converted to UTF-8

Revision 1.67  2007/01/24 10:48:35  arekm
- rel 3; fix dot2gxl.1 symlink

Revision 1.66  2007/01/01 16:04:47  arekm
- rel 2; fix java build

Revision 1.65  2006/12/27 16:09:48  qboosh
- updated to 2.12, updated fontpath,php,gd,lua patches, removed obsolete python patch
- enabled java by default (where jdk available)
- reusable libraries have been moved to system libdir

Revision 1.64  2006/12/14 01:12:41  glen
- damn it!

Revision 1.63  2006/12/14 01:12:12  glen
- rel 7

Revision 1.62  2006/12/14 01:11:29  glen
- AC-branch

Revision 1.61  2006/12/14 01:10:06  glen
- rel 6: rebuild with php 5.2

Revision 1.60  2006/11/26 12:34:53  glen
- virtual deps; rel 4

Revision 1.59  2006/11/25 21:47:30  qrczak
- graphviz-python.patch: added missing const, needed with newer Python
  versions.
- Release 3.

Revision 1.58  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.57  2006/07/26 12:58:55  glen
- don't specify default %attr's

Revision 1.56  2006/04/15 11:12:10  arekm
- rel 2; th br

Revision 1.55  2006/02/11 23:55:01  qboosh
- updated to 2.8, updated php,tk patches, added lua patch
- added guile,lua,ocaml,sharp subpackages

Revision 1.54  2005/12/29 16:59:47  twittner
- replace R: ruby-modules with %ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.53  2005/12/28 02:25:12  pluto
- tk build fixed.

Revision 1.52  2005/12/24 15:39:33  glen
- rel 4 (rebuild with new php)

Revision 1.51  2005/12/12 16:38:30  charles
- back to rel. 3
- STBR

Revision 1.50  2005/12/12 04:38:36  charles
- BR: rpm-pythonprov, php-program instead of php-cli
- -devel R: gd-devel, libltdl-devel
- added orphaned %{_libdir}/graphviz/config ("dot -c" is not needed in %postun)

Revision 1.49  2005/11/16 17:02:35  baggins
- rel 3
- R: ghostscript-fonts-std

Revision 1.48  2005/09/15 20:09:23  glen
- require php api version for php binding package, add php-cli as configure requires it, rel 2

Revision 1.47  2005/09/07 14:13:37  glen
- autotools called directly, revert last change

Revision 1.46  2005/09/07 13:30:50  glen
- php{,4}-devel already Requires: auto{make,conf}

Revision 1.45  2005/09/03 20:34:24  qboosh
- separated java,perl,php,python,ruby bindings
- updated post/postun ("dot -c" must be used now)

Revision 1.44  2005/08/29 20:25:06  qboosh
- updated to 2.6
- disable building statically linked programs

Revision 1.43  2005/08/15 16:05:56  arekm
- use our patched gd 2.0.33

Revision 1.42  2005/08/14 21:37:13  jpc
- R: gd version down to 2.0.33 (we don't have 2.0.34 anywhere)
  arekm: could you varify this (it was your change
  according to cvs annotate)

Revision 1.41  2005/07/25 20:42:17  qboosh
- umask in post/postun

Revision 1.40  2005/07/25 20:17:11  arekm
- run dot after upgrade/installation

Revision 1.39  2005/07/23 09:06:18  qboosh
- configure cleanup, BRs for bindings (TODO: separate them)

Revision 1.38  2005/07/22 19:01:56  arekm
- up to 2.4

Revision 1.37  2005/06/20 17:21:36  saq
- devel req libsvg-cairo-devel

Revision 1.36  2005/05/17 16:04:00  ankry
- fixed manpages

Revision 1.35  2005/05/06 18:10:40  pluto
- gcc patch updated, release 2 for Th.

Revision 1.34  2005/04/24 18:07:14  qboosh
- updated to 2.2.1, removed obsolete fixes patch

Revision 1.33  2005/02/21 12:20:01  qboosh
- updated to 2.2, added cairo,fixes patches
- License is CPL 1.0 now
- gcc34 patch probably needs update

Revision 1.32  2004/10/31 11:16:23  qboosh
- release 2

Revision 1.31  2004/10/31 11:16:04  qboosh
- always use system gd, added missing libsvg-cairo deps (for gvrender)

Revision 1.30  2004/09/23 23:58:41  undefine
- update to 1.16
- change conditional to default build with included gd library. it need 2.0.29
  version, which is not yet available (revoke it when 2.0.29 will be released)

Revision 1.29  2004/04/26 21:56:06  qboosh
- dotneato-config moved to -devel; release 2

Revision 1.28  2004/03/03 21:56:52  grzegol
- updated to 1.12
- removed outdated lt14d and sort patches

Revision 1.27  2004/02/23 10:50:54  pluto
- gcc 3.4 fixes.

Revision 1.26  2004/02/20 10:34:16  qboosh
- removed broken stubs patch, always apply lt14d patch (dropped old lt support)
- release 2 (no more unresolved symbols in tcl/tk libs)

Revision 1.25  2004/02/19 21:59:29  wolf
- libtool's lobotomy

Revision 1.24  2004/02/19 21:26:48  wolf
- BR: gettext-devel

Revision 1.23  2004/02/19 20:55:45  wolf
- sort syntax

Revision 1.22  2004/02/15 16:23:59  eothane
- bconds, changelog cleanups

Revision 1.21  2003/10/20 11:35:31  qboosh
- BR: tk-devel, there is spline demo

Revision 1.20  2003/10/18 13:01:56  wolf
- there's no spline demo

Revision 1.19  2003/07/19 19:03:04  qboosh
- up to 1.10, updated system-gd and fontpath patches
- build dynagraph by default

Revision 1.18  2003/05/26 16:25:08  malekith
- massive attack: adding Source-md5

Revision 1.17  2003/05/25 05:48:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/05/15 19:54:29  qboosh
- up to 1.9, updated lt14d (also for lt 1.5) and system-gd patches

Revision 1.15  2003/01/18 22:50:07  juandon
- removed two lines with define

Revision 1.14  2002/11/25 14:13:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.13  2002/10/09 13:14:28  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/08/10 22:44:41  qboosh
- missing Requires

Revision 1.11  2002/08/10 16:40:19  qboosh
- use system gd (requires version with GIF support)
- fontpath patch - set default FONTPATH to PLD-compatible
- release 2

Revision 1.10  2002/08/10 12:46:44  qboosh
- updated to 1.8.9
- split based on supplied .spec file
- fixed tcl extensions
- libtool 1.4d compatibility patch

Revision 1.9  2002/08/05 12:10:53  mmazur
- fixed %files

Revision 1.8  2002/08/05 00:19:08  marcus
- updated to 1.8.8 (%files need fixing)

Revision 1.7  2002/06/23 20:32:28  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.6  2002/05/21 23:13:29  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
       s/^autoconf/\%\{__autoconf\}/"

Revision 1.5  2002/05/19 00:15:55  qboosh
- added ">= 2.0.0" to BR: freetype-devel; sorted/cleaned BRs where necessary

Revision 1.4  2002/05/02 19:12:10  qboosh
- automake -a -c -f --foreign - don't change license information in COPYING!!!

Revision 1.3  2002/04/10 16:07:46  kloczek
- added "rm -f missing" on top %build.

Revision 1.2  2002/04/10 10:26:24  zagrodzki
- updated to 1.8.4
- STBR

Revision 1.1  2002/03/13 13:59:06  misiek
- initial pld release (nfy)
